(function($) {
	$(document).ready(function(){
		table();
		
		function table(){
			$oTable = $('.product_list').dataTable({
				"bStateSave": true,
				"bAutoWidth":   false,
				"aoColumns" : [
							{ sWidth: '2%','sClass': 'center', 'bSortable': false, },
							{ sWidth: '40%','sClass': 'product_row'  },
							{ sWidth: '40%'},
							{ sWidth: '7%' },
							],
				"oLanguage": {
					"sProcessing"		: sProcessing,
					"sSearch"			: '<span class="icon-search"></span>' + sSearch,
					"sLengthMenu"		: sLengthMenu,
					"sInfo"				: sInfo,
					"sInfoEmpty"		: sInfoEmpty,
					"sInfoFiltered"		: sInfoFiltered,
					"sInfoPostFix"		: "",
					"sLoadingRecords"	: sLoadingRecords,
					"sZeroRecords"		: sZeroRecords,
					"oPaginate": {
						"sFirst"		: sFirst,
						"sPrevious"		: '&larr;' + sPrevious,
						"sNext"			: sNext+' &rarr;',
						"sLast"			: sLast,
					},
				},
			});
		}
		
		$(document).on('click','.submitchange', function() {
				var $form	= $(this).parent(),
					$formCl	= $form.attr('class'),
					$sData 	= $('input', $form).serialize();
				$.ajax({
					type	: 'post',
					data	: $sData,
					success	: function(){
						var $info = $($form).find('.infos');
						$info.show();
						setTimeout(function() {
							$($info).hide()
						}, 3000);
					}
				})	
			return false;
		} );  
		
		$(document).on('click', '.prodSelectAll', function () {
			var $parent = $(this).parents('.MyPiwiShopBatchUnit');
			$('.product_list input[type=checkbox]', $parent).prop('checked', true);
			delet_button()
			return false;
		});

		$(document).on('click', '.prodSelectNone', function () {
			var $parent = $(this).parents('.MyPiwiShopBatchUnit');
			$('.product_list input[type=checkbox]', $parent).prop('checked', false);
			delet_button()

			return false;
		});

		$(document).on('click', '.prodSelectInvert', function () {
			var $parent = $(this).parents('.MyPiwiShopBatchUnit');
			$('.product_list input[type=checkbox]', $parent).each(function(){
				if($(this).is (':checked')){
					$(this).prop('checked', false);
				}else{
					$(this).prop('checked', true);
				}
			delet_button()
			});
			return false;
		});
		
		$(document).on('click', '.showProd', function(){
			$(this).next('div').toggle();
			return false;
		})
		
		$(document).on('change', '.product_list input[type=checkbox]', function () {
			delet_button()
		});
				
		function delet_button(){
			$('.submitchange').css('display','block');
		};

	});
})(jQuery);
